import $ from 'jquery';
require('imports-loader?define=>false&exports=>false!blueimp-file-upload/js/vendor/jquery.ui.widget');
require('imports-loader?define=>false&exports=>false!blueimp-file-upload/js/jquery.fileupload');

$(function() {

    let $importCsvInputs = $('.cart-import-csv'),
        $fileUploadProgress = $('#file-upload-progress'),
        $fileUploadMessage = $('#file-upload-message');

    if ($importCsvInputs.length > 0) {
        $importCsvInputs.each(function(i, input) {
            let $input = $(input);

            $input.fileupload({
                dataType: 'json',
                send: function() {
                    $fileUploadMessage.removeClass('error');
                    $fileUploadMessage.removeClass('success');
                },
                fail: function(e, data) {
                    $fileUploadMessage.addClass('error');

                    if (typeof data.messages.uploadedBytes !== 'undefined' && data.messages.uploadedBytes.match(/exceed/)) {
                        $fileUploadMessage.html(ep_webshop.fileUpload.messages.fileToBig);
                    }
                },
                done: function(e, data) {
                    let response = data.result;

                    if (true === response.success) {
                        location.reload();
                        return;
                    }

                    $fileUploadMessage.addClass('error');
                    $fileUploadMessage.html(response.message);
                },
                progressall: function(e, data) {
                    if ($fileUploadProgress.length === 0) {
                        return;
                    }

                    let progress = parseInt(data.loaded / data.total * 100, 10);
                    $fileUploadProgress.find('.progress-bar').css('width', progress + '%');

                    if ($fileUploadMessage.length > 0) {
                        $fileUploadMessage.html(progress + '%');
                    }
                }
            });
        });
    }
});