<?php
namespace Ep\WooCommerce;

use Ep\Core\AbstractFactory;

/**
 * Class ConfigProvider
 *
 * @package Ep\WooCommerce
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ConfigProvider
{
	public function __invoke()
	{
		return [
			'dependencies' => $this->getDependencyConfig(),

			'wordpress' => [
				'services' => [
					'WooCommerceCart',
					'WooCommerceHideCart',
					'WooCommerceOrders',
					'WooCommerceProducts',
					'WooCommerceRegistration',
					'WooCommerceRemover',
					'WooCommerceTemplates',
				],
			],
		];
	}

	public function getDependencyConfig()
	{
		return [
			'aliases' => [
				'WooCommerceCart' => CartService::class,
				'WooCommerceHideCart' => HideCart::class,
				'WooCommerceOrders' => OrderService::class,
				'WooCommerceProducts' => ProductService::class,
				'WooCommerceRegistration' => RegistrationService::class,
				'WooCommerceRemover' => WooCommerceRemover::class,
				'WooCommerceTemplates' => TemplateService::class,
			],

            'factories' => [
                CartService::class => AbstractFactory::class,
                HideCart::class => AbstractFactory::class,
                OrderService::class => AbstractFactory::class,
                ProductService::class => AbstractFactory::class,
                RegistrationService::class => AbstractFactory::class,
                WooCommerceRemover::class => AbstractFactory::class,
                TemplateService::class => AbstractFactory::class,
            ],
		];
	}
}