<?php
namespace Ep\WordPress\Service;

use Psr\Container\ContainerInterface;

/**
 * Class I18nService
 *
 * @package Ep\WordPress\Service
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class I18nService extends AbstractWordPressService
{
	public function __construct(ContainerInterface $container)
	{
		parent::__construct($container);

		add_filter('load_textdomain_mofile', [$this, 'loadMoFile'], 10, 2);
	}

	/**
	 * Umjesto WooCommerce prijevoda učitava prijevode iz ovog plugina.
	 *
	 * @param string $moFile
	 * @param $domain
	 *
	 * @return string
	 */
	public function loadMoFile(string $moFile, string $domain)
	{
		$locale = get_locale();
		$moOverride = sprintf('%1$s/i18n/%2$s/%2$s-%3$s.mo', EP_WEBSHOP_DIR, $domain, $locale);

		if (file_exists($moOverride)) {
			return $moOverride;
		}

		return $moFile;
	}
}